Package com.smartgwt.client.widgets

# Class FileDropZone

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.StatefulCanvas
com.smartgwt.client.widgets.Button
com.smartgwt.client.widgets.Label
com.smartgwt.client.widgets.DropZone
com.smartgwt.client.widgets.FileDropZone

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasIconClickHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasTitleHoverHandlers`, `HasVisibilityChangedHandlers`

public class FileDropZone extends DropZone
The FileDropZone class provides a straightforward way to upload files from a user's desktop using HTML5 file drop capabilities.

A FileDropZone does not itself upload files - it provides the UI for file collection and progress indication. Upload is typically handled by a surrounding form or application code.

Users can add files by dragging them onto the drop zone, or by clicking the drop zone to open a standard file browser dialog (when `canAddFilesOnClick` is true).

When used with a form, uploads include per-file progress indication and error handling.

For use within a DynamicForm, see `FileUploadItem`.

FileDropZone extends `DropZone` (and therefore StatefulCanvas), so CSS styling uses standard state suffixes: Over (during drag), Disabled, and custom states Populated (files present) and Processing (upload in progress).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileDropZone()`
  `FileDropZone(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelProcessing()`
  Cancel an in-progress upload/processing operation.
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `void`
  `clearFiles()`
  Clear all files from this fileDropZone.
  `protected JavaScriptObject`
  `create()`
  `void`
  `endProcessing()`
  Hide processing UI.
  `void`
  `filesAdded(JavaScriptObject[] files)`
  Notification fired when files are successfully added (via drag or click).
  `void`
  `filesRemoved(JavaScriptObject[] files)`
  Notification fired when files are removed.
  `void`
  `fileUploadComplete(JavaScriptObject file, Boolean success, DSResponse response)`
  Notification fired when an individual file upload completes (in concurrent mode).
  `void`
  `fileUploadFailed(JavaScriptObject file, String error)`
  Notification fired when an individual file upload fails (in concurrent mode).
  `String[]`
  `getAcceptedFileTypes()`
  Array of accepted MIME types (e.g., ["image/*", "application/pdf"]).
  `Alignment`
  `getAlign()`
  Horizontal alignment for drop zone content.
  `String`
  `getArchiveFileIcon()`
  Icon for archive files (ZIP, TAR, etc.).
  `String`
  `getAudioFileIcon()`
  Icon for audio files.
  `String`
  `getBaseStyle()`
  Base CSS class for the drop zone.
  `Boolean`
  `getCanAddFilesOnClick()`
  If true, clicking the drop zone opens a file browser dialog.
  `Button`
  `getCancelButton()`
  AutoChild Button allowing users to cancel an in-progress upload.
  `String`
  `getCodeFileIcon()`
  Icon for code/script files.
  `String`
  `getDefaultFileIcon()`
  Default icon for files when no specific type icon is available.
  `String`
  `getDocumentFileIcon()`
  Icon for document files (Word, text, etc.).
  `JavaScriptObject[]`
  `getFiles()`
  Retrieves the files that have been added to this fileDropZone.
  `String`
  `getImageFileIcon()`
  Icon for image files (when showImagePreviews is false).
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `Integer`
  `getMaxFiles()`
  Maximum number of files allowed when `multiple` is true.
  `Integer`
  `getMaxFileSize()`
  Maximum size in bytes for any individual file.
  `Integer`
  `getMaxSize()`
  Maximum total size in bytes for all files combined.
  `Integer`
  `getMinSize()`
  Minimum total size in bytes for all files combined.
  `Boolean`
  `getMultiple()`
  Does this FileDropZone support multiple files?
  `static FileDropZone`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getPdfFileIcon()`
  Icon for PDF files.
  `Integer`
  `getProcessingPercentDone()`
  Get current progress percentage.
  `Progressbar`
  `getProgressBar()`
  AutoChild Progressbar showing upload progress.
  `Label`
  `getProgressLabel()`
  AutoChild Label showing the processing message during uploads.
  `Label`
  `getProgressText()`
  AutoChild Label showing the percentage complete text.
  `String`
  `getRemoveIcon()`
  Icon for the remove button on file tiles.
  `Boolean`
  `getReplaceFilesOnDrop()`
  If true, dropping new files replaces existing files.
  `Boolean`
  `getShowCancelButton()`
  Whether to show a cancel button during processing that allows the user to abort the upload.
  `Boolean`
  `getShowFileThumbnails()`
  If true, display thumbnails/icons for added files.
  `Boolean`
  `getShowImagePreviews()`
  When `showFileThumbnails` is true, should actual image previews be generated for image files? If false, image files will show a generic image icon instead.
  `Integer`
  `getSize()`
  Get the total size in bytes of all selected files.
  `String`
  `getSpreadsheetFileIcon()`
  Icon for spreadsheet files (Excel, CSV, etc.).
  `Integer`
  `getThumbnailHeight()`
  Height in pixels for file thumbnails/icons.
  `Integer`
  `getThumbnailWidth()`
  Width in pixels for file thumbnails/icons.
  `VerticalAlignment`
  `getValign()`
  Vertical alignment for drop zone content.
  `String`
  `getVideoFileIcon()`
  Icon for video files.
  `void`
  `processingCancelled()`
  Notification fired when processing is cancelled via `cancelProcessing()`.
  `void`
  `removeFile(JavaScriptObject file)`
  Remove a specific file from this fileDropZone.
  `void`
  `removeFile(Integer file)`
  Remove a specific file from this fileDropZone.
  `FileDropZone`
  `setAcceptedFileTypes(String... acceptedFileTypes)`
  Array of accepted MIME types (e.g., ["image/*", "application/pdf"]).
  `FileDropZone`
  `setAlign(Alignment align)`
  Horizontal alignment for drop zone content.
  `FileDropZone`
  `setArchiveFileIcon(String archiveFileIcon)`
  Icon for archive files (ZIP, TAR, etc.).
  `FileDropZone`
  `setAudioFileIcon(String audioFileIcon)`
  Icon for audio files.
  `FileDropZone`
  `setBaseStyle(String baseStyle)`
  Base CSS class for the drop zone.
  `FileDropZone`
  `setCanAddFilesOnClick(Boolean canAddFilesOnClick)`
  If true, clicking the drop zone opens a file browser dialog.
  `FileDropZone`
  `setCodeFileIcon(String codeFileIcon)`
  Icon for code/script files.
  `FileDropZone`
  `setDefaultFileIcon(String defaultFileIcon)`
  Default icon for files when no specific type icon is available.
  `static void`
  `setDefaultProperties(FileDropZone fileDropZoneProperties)`
  Class level method to set the default properties of this class.
  `FileDropZone`
  `setDocumentFileIcon(String documentFileIcon)`
  Icon for document files (Word, text, etc.).
  `void`
  `setFileProgress(JavaScriptObject file, double percentDone, Integer processed, Integer total)`
  Update progress indication for a specific file during concurrent uploads.
  `void`
  `setFiles(JavaScriptObject files)`
  Programmatically populate a fileDropZone with files.
  `void`
  `setFiles(JavaScriptObject... files)`
  Programmatically populate a fileDropZone with files.
  `FileDropZone`
  `setImageFileIcon(String imageFileIcon)`
  Icon for image files (when showImagePreviews is false).
  `LogicalStructureObject`
  `setLogicalStructure(FileDropZoneLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `FileDropZone`
  `setMaxFiles(Integer maxFiles)`
  Maximum number of files allowed when `multiple` is true.
  `FileDropZone`
  `setMaxFileSize(Integer maxFileSize)`
  Maximum size in bytes for any individual file.
  `FileDropZone`
  `setMaxSize(Integer maxSize)`
  Maximum total size in bytes for all files combined.
  `FileDropZone`
  `setMinSize(Integer minSize)`
  Minimum total size in bytes for all files combined.
  `FileDropZone`
  `setMultiple(Boolean multiple)`
  Does this FileDropZone support multiple files?
  `FileDropZone`
  `setPdfFileIcon(String pdfFileIcon)`
  Icon for PDF files.
  `Boolean`
  `setProcessingProgress(double percentDone, Integer processed, Integer total)`
  Update progress indication during upload/processing.
  `FileDropZone`
  `setRemoveIcon(String removeIcon)`
  Icon for the remove button on file tiles.
  `FileDropZone`
  `setReplaceFilesOnDrop(Boolean replaceFilesOnDrop)`
  If true, dropping new files replaces existing files.
  `FileDropZone`
  `setShowCancelButton(Boolean showCancelButton)`
  Whether to show a cancel button during processing that allows the user to abort the upload.
  `FileDropZone`
  `setShowFileThumbnails(Boolean showFileThumbnails)`
  If true, display thumbnails/icons for added files.
  `FileDropZone`
  `setShowImagePreviews(Boolean showImagePreviews)`
  When `showFileThumbnails` is true, should actual image previews be generated for image files? If false, image files will show a generic image icon instead.
  `FileDropZone`
  `setSpreadsheetFileIcon(String spreadsheetFileIcon)`
  Icon for spreadsheet files (Excel, CSV, etc.).
  `FileDropZone`
  `setThumbnailHeight(Integer thumbnailHeight)`
  Height in pixels for file thumbnails/icons.
  `FileDropZone`
  `setThumbnailWidth(Integer thumbnailWidth)`
  Width in pixels for file thumbnails/icons.
  `FileDropZone`
  `setValign(VerticalAlignment valign)`
  Vertical alignment for drop zone content.
  `FileDropZone`
  `setVideoFileIcon(String videoFileIcon)`
  Icon for video files.
  `void`
  `showDropError(String errorMessage)`
  Display an error when a drop fails validation.
  `Boolean`
  `startProcessing()`
  Show UI indicating processing has started.

  ### Methods inherited from class com.smartgwt.client.widgets.DropZone

  `contentDrop, fileDrop, getCanDropContent, getCanDropFiles, setCanDropContent, setCanDropFiles, setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.Label

  `getAutoFit, getContents, getDynamicContents, getEditProxyConstructor, getHeight, getHeightAsString, getIcon, getIconAlign, getIconHeight, getIconOrientation, getIconSize, getIconSpacing, getIconWidth, getShowDisabledIcon, getShowDownIcon, getShowFocusedIcon, getShowRollOverIcon, getShowSelectedIcon, getStyleName, getWidth, getWidthAsString, getWrap, setAutoFit, setContents, setDefaultProperties, setDynamicContents, setEditProxyConstructor, setHeight, setHeight, setIcon, setIconAlign, setIconHeight, setIconOrientation, setIconSize, setIconSpacing, setIconWidth, setLogicalStructure, setShowDisabledIcon, setShowDownIcon, setShowFocusedIcon, setShowRollOverIcon, setShowSelectedIcon, setStyleName, setWidth, setWidth, setWrap`

  ### Methods inherited from class com.smartgwt.client.widgets.Button

  `action, addIconClickHandler, addTitleHoverHandler, addToRadioGroup, assertIsButton, deselect, getActionType, getAdaptWidthShowIconOnly, getCanAdaptWidth, getDefiningProperty, getDisabledIconCursor, getHiliteAccessKey, getIconCursor, getIconOnlyBaseStyle, getIconStyle, getOverflow, getRadioGroup, getShowClippedTitleOnHover, getShowDisabled, getShowDown, getShowFocused, getShowRollOver, getState, getTitle, getUseSpan, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAdaptWidthShowIconOnly, setCanAdaptWidth, setDefaultProperties, setDefiningProperty, setDisabledIconCursor, setHiliteAccessKey, setIconCursor, setIconOnlyBaseStyle, setIconStyle, setLogicalStructure, setOverflow, setRadioGroup, setShowClippedTitleOnHover, setShowDisabled, setShowDown, setShowFocused, setShowRollOver, setState, setTitle, setTitleHoverFormatter, setUseSpan, titleClipped, titleHoverHTML`

  ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

  `getAriaLabel, getAriaStateDefaults, getIgnoreRTL, getLabelHPad, getLabelVPad, getOverCanvas, getOverCanvasConstructor, getRedrawOnStateChange, getSelected, getShowFocusedAsOver, getShowMenuOnClick, getShowOverCanvas, getShowRTLIcon, getStateSuffix, getVIconStyle, isSelected, setAriaLabel, setDefaultProperties, setIgnoreRTL, setLabelHPad, setLabelVPad, setLogicalStructure, setOverCanvasConstructor, setRedrawOnStateChange, setSelected, setShowFocusedAsOver, setShowMenuOnClick, setShowOverCanvas, setShowRTLIcon, setTitleFormatter, setTitleStyle, setVIconStyle`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBorderRadiusAsString, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setSuppressRedraw, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### FileDropZone

    public FileDropZone()

  - ### FileDropZone

    public FileDropZone(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FileDropZone getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `DropZone`

  - ### setAcceptedFileTypes

    public FileDropZone setAcceptedFileTypes(String... acceptedFileTypes) throws IllegalStateException
    Array of accepted MIME types (e.g., ["image/*", "application/pdf"]). If null, all file types are accepted.
    Overrides:
      `setAcceptedFileTypes` in class `DropZone`
    Parameters:
      `acceptedFileTypes` - New acceptedFileTypes value. Default value is null
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getAcceptedFileTypes

    public String[] getAcceptedFileTypes()
    Array of accepted MIME types (e.g., ["image/*", "application/pdf"]). If null, all file types are accepted.
    Overrides:
      `getAcceptedFileTypes` in class `DropZone`
    Returns:
      Current acceptedFileTypes value. Default value is null

  - ### setAlign

    public FileDropZone setAlign(Alignment align) throws IllegalStateException
    Horizontal alignment for drop zone content.
    Overrides:
      `setAlign` in class `DropZone`
    Parameters:
      `align` - New align value. Default value is "center"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Positioning overview and related methods`

  - ### getAlign

    public Alignment getAlign()
    Horizontal alignment for drop zone content.
    Overrides:
      `getAlign` in class `DropZone`
    Returns:
      Current align value. Default value is "center"
    See Also:
      - `Positioning overview and related methods`

  - ### setArchiveFileIcon

    public FileDropZone setArchiveFileIcon(String archiveFileIcon) throws IllegalStateException
    Icon for archive files (ZIP, TAR, etc.).
    Parameters:
      `archiveFileIcon` - New archiveFileIcon value. Default value is "[SKINIMG]FileDropZone/archive.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getArchiveFileIcon

    public String getArchiveFileIcon()
    Icon for archive files (ZIP, TAR, etc.).
    Returns:
      Current archiveFileIcon value. Default value is "[SKINIMG]FileDropZone/archive.png"
    See Also:
      - `SCImgURL`

  - ### setAudioFileIcon

    public FileDropZone setAudioFileIcon(String audioFileIcon) throws IllegalStateException
    Icon for audio files.
    Parameters:
      `audioFileIcon` - New audioFileIcon value. Default value is "[SKINIMG]FileDropZone/audio.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getAudioFileIcon

    public String getAudioFileIcon()
    Icon for audio files.
    Returns:
      Current audioFileIcon value. Default value is "[SKINIMG]FileDropZone/audio.png"
    See Also:
      - `SCImgURL`

  - ### setBaseStyle

    public FileDropZone setBaseStyle(String baseStyle) throws IllegalStateException
    Base CSS class for the drop zone. Supports state suffixes: Over, Populated, Processing, Disabled.
    Overrides:
      `setBaseStyle` in class `DropZone`
    Parameters:
      `baseStyle` - New baseStyle value. Default value is "fileDropZone"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `CSSStyleName`

  - ### getBaseStyle

    public String getBaseStyle()
    Base CSS class for the drop zone. Supports state suffixes: Over, Populated, Processing, Disabled.
    Overrides:
      `getBaseStyle` in class `DropZone`
    Returns:
      Current baseStyle value. Default value is "fileDropZone"
    See Also:
      - `CSSStyleName`

  - ### setCanAddFilesOnClick

    public FileDropZone setCanAddFilesOnClick(Boolean canAddFilesOnClick) throws IllegalStateException
    If true, clicking the drop zone opens a file browser dialog.
    Parameters:
      `canAddFilesOnClick` - New canAddFilesOnClick value. Default value is true
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getCanAddFilesOnClick

    public Boolean getCanAddFilesOnClick()
    If true, clicking the drop zone opens a file browser dialog.
    Returns:
      Current canAddFilesOnClick value. Default value is true

  - ### getCancelButton

    public Button getCancelButton() throws IllegalStateException
    AutoChild Button allowing users to cancel an in-progress upload. Only shown if `showCancelButton` is true.

    This component is an AutoChild named "cancelButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current cancelButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setCodeFileIcon

    public FileDropZone setCodeFileIcon(String codeFileIcon) throws IllegalStateException
    Icon for code/script files.
    Parameters:
      `codeFileIcon` - New codeFileIcon value. Default value is "[SKINIMG]FileDropZone/code.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getCodeFileIcon

    public String getCodeFileIcon()
    Icon for code/script files.
    Returns:
      Current codeFileIcon value. Default value is "[SKINIMG]FileDropZone/code.png"
    See Also:
      - `SCImgURL`

  - ### setDefaultFileIcon

    public FileDropZone setDefaultFileIcon(String defaultFileIcon) throws IllegalStateException
    Default icon for files when no specific type icon is available.
    Parameters:
      `defaultFileIcon` - New defaultFileIcon value. Default value is "[SKINIMG]FileDropZone/file.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getDefaultFileIcon

    public String getDefaultFileIcon()
    Default icon for files when no specific type icon is available.
    Returns:
      Current defaultFileIcon value. Default value is "[SKINIMG]FileDropZone/file.png"
    See Also:
      - `SCImgURL`

  - ### setDocumentFileIcon

    public FileDropZone setDocumentFileIcon(String documentFileIcon) throws IllegalStateException
    Icon for document files (Word, text, etc.).
    Parameters:
      `documentFileIcon` - New documentFileIcon value. Default value is "[SKINIMG]FileDropZone/document.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getDocumentFileIcon

    public String getDocumentFileIcon()
    Icon for document files (Word, text, etc.).
    Returns:
      Current documentFileIcon value. Default value is "[SKINIMG]FileDropZone/document.png"
    See Also:
      - `SCImgURL`

  - ### setImageFileIcon

    public FileDropZone setImageFileIcon(String imageFileIcon) throws IllegalStateException
    Icon for image files (when showImagePreviews is false).
    Parameters:
      `imageFileIcon` - New imageFileIcon value. Default value is "[SKINIMG]FileDropZone/image.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getImageFileIcon

    public String getImageFileIcon()
    Icon for image files (when showImagePreviews is false).
    Returns:
      Current imageFileIcon value. Default value is "[SKINIMG]FileDropZone/image.png"
    See Also:
      - `SCImgURL`

  - ### setMaxFiles

    public FileDropZone setMaxFiles(Integer maxFiles) throws IllegalStateException
    Maximum number of files allowed when `multiple` is true.
    Parameters:
      `maxFiles` - New maxFiles value. Default value is null
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getMaxFiles

    public Integer getMaxFiles()
    Maximum number of files allowed when `multiple` is true.
    Returns:
      Current maxFiles value. Default value is null

  - ### setMaxFileSize

    public FileDropZone setMaxFileSize(Integer maxFileSize) throws IllegalStateException
    Maximum size in bytes for any individual file.
    Parameters:
      `maxFileSize` - New maxFileSize value. Default value is null
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getMaxFileSize

    public Integer getMaxFileSize()
    Maximum size in bytes for any individual file.
    Returns:
      Current maxFileSize value. Default value is null

  - ### setMaxSize

    public FileDropZone setMaxSize(Integer maxSize) throws IllegalStateException
    Maximum total size in bytes for all files combined.
    Parameters:
      `maxSize` - New maxSize value. Default value is null
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getMaxSize

    public Integer getMaxSize()
    Maximum total size in bytes for all files combined.
    Returns:
      Current maxSize value. Default value is null

  - ### setMinSize

    public FileDropZone setMinSize(Integer minSize) throws IllegalStateException
    Minimum total size in bytes for all files combined.
    Parameters:
      `minSize` - New minSize value. Default value is null
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getMinSize

    public Integer getMinSize()
    Minimum total size in bytes for all files combined.
    Returns:
      Current minSize value. Default value is null

  - ### setMultiple

    public FileDropZone setMultiple(Boolean multiple) throws IllegalStateException
    Does this FileDropZone support multiple files?
    Parameters:
      `multiple` - New multiple value. Default value is false
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getMultiple

    public Boolean getMultiple()
    Does this FileDropZone support multiple files?
    Returns:
      Current multiple value. Default value is false

  - ### setPdfFileIcon

    public FileDropZone setPdfFileIcon(String pdfFileIcon) throws IllegalStateException
    Icon for PDF files.
    Parameters:
      `pdfFileIcon` - New pdfFileIcon value. Default value is "[SKINIMG]FileDropZone/pdf.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getPdfFileIcon

    public String getPdfFileIcon()
    Icon for PDF files.
    Returns:
      Current pdfFileIcon value. Default value is "[SKINIMG]FileDropZone/pdf.png"
    See Also:
      - `SCImgURL`

  - ### getProgressBar

    public Progressbar getProgressBar() throws IllegalStateException
    AutoChild Progressbar showing upload progress.

    This component is an AutoChild named "progressBar". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current progressBar value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getProgressLabel

    public Label getProgressLabel() throws IllegalStateException
    AutoChild Label showing the processing message during uploads.

    This component is an AutoChild named "progressLabel". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current progressLabel value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getProgressText

    public Label getProgressText() throws IllegalStateException
    AutoChild Label showing the percentage complete text.

    This component is an AutoChild named "progressText". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current progressText value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setRemoveIcon

    public FileDropZone setRemoveIcon(String removeIcon) throws IllegalStateException
    Icon for the remove button on file tiles.
    Parameters:
      `removeIcon` - New removeIcon value. Default value is "[SKINIMG]FileDropZone/remove.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getRemoveIcon

    public String getRemoveIcon()
    Icon for the remove button on file tiles.
    Returns:
      Current removeIcon value. Default value is "[SKINIMG]FileDropZone/remove.png"
    See Also:
      - `SCImgURL`

  - ### setReplaceFilesOnDrop

    public FileDropZone setReplaceFilesOnDrop(Boolean replaceFilesOnDrop) throws IllegalStateException
    If true, dropping new files replaces existing files. If false, new files are added to the existing list.
    Parameters:
      `replaceFilesOnDrop` - New replaceFilesOnDrop value. Default value is true
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getReplaceFilesOnDrop

    public Boolean getReplaceFilesOnDrop()
    If true, dropping new files replaces existing files. If false, new files are added to the existing list.
    Returns:
      Current replaceFilesOnDrop value. Default value is true

  - ### setShowCancelButton

    public FileDropZone setShowCancelButton(Boolean showCancelButton) throws IllegalStateException
    Whether to show a cancel button during processing that allows the user to abort the upload.
    Parameters:
      `showCancelButton` - New showCancelButton value. Default value is true
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowCancelButton

    public Boolean getShowCancelButton()
    Whether to show a cancel button during processing that allows the user to abort the upload.
    Returns:
      Current showCancelButton value. Default value is true

  - ### setShowFileThumbnails

    public FileDropZone setShowFileThumbnails(Boolean showFileThumbnails) throws IllegalStateException
    If true, display thumbnails/icons for added files. If false, show only file names.
    Parameters:
      `showFileThumbnails` - New showFileThumbnails value. Default value is true
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowFileThumbnails

    public Boolean getShowFileThumbnails()
    If true, display thumbnails/icons for added files. If false, show only file names.
    Returns:
      Current showFileThumbnails value. Default value is true

  - ### setShowImagePreviews

    public FileDropZone setShowImagePreviews(Boolean showImagePreviews) throws IllegalStateException
    When `showFileThumbnails` is true, should actual image previews be generated for image files? If false, image files will show a generic image icon instead. Image previews are generated using the FileReader API.
    Parameters:
      `showImagePreviews` - New showImagePreviews value. Default value is true
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowImagePreviews

    public Boolean getShowImagePreviews()
    When `showFileThumbnails` is true, should actual image previews be generated for image files? If false, image files will show a generic image icon instead. Image previews are generated using the FileReader API.
    Returns:
      Current showImagePreviews value. Default value is true

  - ### setSpreadsheetFileIcon

    public FileDropZone setSpreadsheetFileIcon(String spreadsheetFileIcon) throws IllegalStateException
    Icon for spreadsheet files (Excel, CSV, etc.).
    Parameters:
      `spreadsheetFileIcon` - New spreadsheetFileIcon value. Default value is "[SKINIMG]FileDropZone/spreadsheet.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getSpreadsheetFileIcon

    public String getSpreadsheetFileIcon()
    Icon for spreadsheet files (Excel, CSV, etc.).
    Returns:
      Current spreadsheetFileIcon value. Default value is "[SKINIMG]FileDropZone/spreadsheet.png"
    See Also:
      - `SCImgURL`

  - ### setThumbnailHeight

    public FileDropZone setThumbnailHeight(Integer thumbnailHeight) throws IllegalStateException
    Height in pixels for file thumbnails/icons.
    Parameters:
      `thumbnailHeight` - New thumbnailHeight value. Default value is 64
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getThumbnailHeight

    public Integer getThumbnailHeight()
    Height in pixels for file thumbnails/icons.
    Returns:
      Current thumbnailHeight value. Default value is 64

  - ### setThumbnailWidth

    public FileDropZone setThumbnailWidth(Integer thumbnailWidth) throws IllegalStateException
    Width in pixels for file thumbnails/icons.
    Parameters:
      `thumbnailWidth` - New thumbnailWidth value. Default value is 64
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getThumbnailWidth

    public Integer getThumbnailWidth()
    Width in pixels for file thumbnails/icons.
    Returns:
      Current thumbnailWidth value. Default value is 64

  - ### setValign

    public FileDropZone setValign(VerticalAlignment valign) throws IllegalStateException
    Vertical alignment for drop zone content.
    Overrides:
      `setValign` in class `DropZone`
    Parameters:
      `valign` - New valign value. Default value is "center"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Positioning overview and related methods`

  - ### getValign

    public VerticalAlignment getValign()
    Vertical alignment for drop zone content.
    Overrides:
      `getValign` in class `DropZone`
    Returns:
      Current valign value. Default value is "center"
    See Also:
      - `Positioning overview and related methods`

  - ### setVideoFileIcon

    public FileDropZone setVideoFileIcon(String videoFileIcon) throws IllegalStateException
    Icon for video files.
    Parameters:
      `videoFileIcon` - New videoFileIcon value. Default value is "[SKINIMG]FileDropZone/video.png"
    Returns:
      `FileDropZone` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getVideoFileIcon

    public String getVideoFileIcon()
    Icon for video files.
    Returns:
      Current videoFileIcon value. Default value is "[SKINIMG]FileDropZone/video.png"
    See Also:
      - `SCImgURL`

  - ### cancelProcessing

    public void cancelProcessing()
    Cancel an in-progress upload/processing operation.

    This will abort the active XHR request (if any), hide the processing UI, and fire the `processingCancelled()` notification.

  - ### clearFiles

    public void clearFiles()
    Clear all files from this fileDropZone.

  - ### endProcessing

    public void endProcessing()
    Hide processing UI. Called when upload/processing completes.

  - ### filesAdded

    public void filesAdded(JavaScriptObject[] files)
    Notification fired when files are successfully added (via drag or click).
    Parameters:
      `files` - Files that were added

  - ### filesRemoved

    public void filesRemoved(JavaScriptObject[] files)
    Notification fired when files are removed.
    Parameters:
      `files` - Files that were removed

  - ### fileUploadComplete

    public void fileUploadComplete(JavaScriptObject file, Boolean success, DSResponse response)
    Notification fired when an individual file upload completes (in concurrent mode).
    Parameters:
      `file` - The file that completed
      `success` - Whether the upload succeeded
      `response` - The server response for this file

  - ### fileUploadFailed

    public void fileUploadFailed(JavaScriptObject file, String error)
    Notification fired when an individual file upload fails (in concurrent mode).
    Parameters:
      `file` - The file that failed
      `error` - Error message describing the failure

  - ### getFiles

    public JavaScriptObject[] getFiles()
    Retrieves the files that have been added to this fileDropZone.
    Returns:
      JavaScript File objects added to this fileDropZone

  - ### getProcessingPercentDone

    public Integer getProcessingPercentDone()
    Get current progress percentage.
    Returns:
      Current percentage, or null if not processing

  - ### getSize

    public Integer getSize()
    Get the total size in bytes of all selected files.
    Returns:
      Total size in bytes, or 0 if no files

  - ### processingCancelled

    public void processingCancelled()
    Notification fired when processing is cancelled via `cancelProcessing()`.

    This is a notification method intended for override. The FileDropZone itself does not perform any network abort logic - it only manages local UI state (hiding progress, preserving files). When used as the canvas of a `FileUploadItem`, the item's default configuration overrides this method to propagate the cancel to the containing `DynamicForm`, which handles aborting any in-flight XHR upload request via `RPCManager.cancelQueue()`.

    For standalone FileDropZone usage (outside of FileUploadItem), implement this method to abort any custom upload logic you have initiated.

  - ### removeFile

    public void removeFile(JavaScriptObject file)
    Remove a specific file from this fileDropZone.
    Parameters:
      `file` - The file to remove, or its index

  - ### removeFile

    public void removeFile(Integer file)
    Remove a specific file from this fileDropZone.
    Parameters:
      `file` - The file to remove, or its index

  - ### setFileProgress

    public void setFileProgress(JavaScriptObject file, double percentDone, Integer processed, Integer total)
    Update progress indication for a specific file during concurrent uploads.
    Parameters:
      `file` - The file being uploaded
      `percentDone` - Progress percentage (0-100) for this file
      `processed` - Bytes processed so far for this file
      `total` - Total bytes for this file

  - ### setFiles

    public void setFiles(JavaScriptObject files)
    Programmatically populate a fileDropZone with files.
    Parameters:
      `files` - JavaScript File object(s) to attach

  - ### setFiles

    public void setFiles(JavaScriptObject... files)
    Programmatically populate a fileDropZone with files.
    Parameters:
      `files` - JavaScript File object(s) to attach

  - ### setProcessingProgress

    public Boolean setProcessingProgress(double percentDone, Integer processed, Integer total)
    Update progress indication during upload/processing.
    Parameters:
      `percentDone` - Progress percentage (0-100)
      `processed` - Bytes processed so far
      `total` - Total bytes being processed
    Returns:
      false if no files selected, true otherwise

  - ### showDropError

    public void showDropError(String errorMessage)
    Display an error when a drop fails validation. Default implementation calls isc.warn(). Override for custom handling.
    Parameters:
      `errorMessage` - Error message to display

  - ### startProcessing

    public Boolean startProcessing()
    Show UI indicating processing has started. Masks the component and shows progressIndicator.
    Returns:
      false if no files selected, true otherwise

  - ### setDefaultProperties

    public static void setDefaultProperties(FileDropZone fileDropZoneProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `fileDropZoneProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(FileDropZoneLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `DropZone`